MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029651Open CASCADE[OCCT] OCCT:DRAWpublic2018-03-27 11:522018-06-29 21:19
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029651: ViewerTest - vtexture command crashes
DescriptionMissing null check when processing "off" option of vtexture command leads to access violation.
Steps To Reproducepload ALL
vinit
vsetdispmode 1
box b 1 2 3
vdisplay b; vfit
vtexture b 0
vtexture b off
TagsNo tags attached.
Test case numberbugs vis bug29651
Attached Files

- Relationships

-  Notes
(0074949)
git (administrator)
2018-03-27 11:54

Branch CR29651 has been created by san.

SHA-1: 542931471be421b3bc675ea12d375ae1643eb44a


Detailed log of new commits:

Author: san
Date: Tue Mar 27 11:54:12 2018 +0300

    0029651: ViewerTest - vtexture command crashes
    
    Missing null check added
(0074961)
git (administrator)
2018-03-27 15:17

Branch CR29651 has been updated by apn.

SHA-1: 3e6b1a3dab4dd70b8eb434241af65e86a181ad9b


Detailed log of new commits:

Author: apn
Date: Tue Mar 27 15:17:17 2018 +0300

    Add test case bugs/vis/bug29651

(0074971)
apn (administrator)
2018-03-27 17:18

Combination -
OCCT branch : CR29651 SHA - 3e6b1a3dab4dd70b8eb434241af65e86a181ad9b
Products branch : master SHA - d1433da51be7aa6ea5f04a20d332d5b18f879d1f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs vis bug29651 - OK

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18339.9499999999 / 18135.489999999976 [+1.13%]
Products
Total CPU difference: 7463.190000000002 / 7435.139999999992 [+0.38%]
Windows-64-VC10:
OCCT
Total CPU difference: 17893.798303098523 / 17864.39211459853 [+0.16%]
Products
Total CPU difference: 8131.411724099981 / 8129.77371359997 [+0.02%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075340)
git (administrator)
2018-04-11 11:00

Branch CR29651 has been deleted by kgv.

SHA-1: 3e6b1a3dab4dd70b8eb434241af65e86a181ad9b

- Related Changesets
occt: master 7373e19f
Timestamp: 2018-03-27 08:54:12
Author: san
Committer: bugmaster
Details ] Diff ]
0029651: ViewerTest - vtexture command crashes

Missing null check added

Add test case bugs/vis/bug29651
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/bugs/vis/bug29651 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-27 11:52 san New Issue
2018-03-27 11:52 san Assigned To => san
2018-03-27 11:54 git Note Added: 0074949
2018-03-27 11:55 san Assigned To san => apn
2018-03-27 11:55 san Status new => resolved
2018-03-27 15:17 git Note Added: 0074961
2018-03-27 17:17 apn Test case number => bugs vis bug29651
2018-03-27 17:17 apn Assigned To apn => bugmaster
2018-03-27 17:17 apn Status resolved => reviewed
2018-03-27 17:18 apn Note Added: 0074971
2018-03-27 17:18 apn Status reviewed => tested
2018-04-11 07:49 bugmaster Changeset attached => occt master 7373e19f
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075340
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker